%define rel 2
%define srcname ktp-desktop-applets

Summary:        Telepathy KDE Desktop Plasmoid
Name:           telepathy-kde-desktop-applets
Version: 0.6.0
Release:        %mkrel %{rel}
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-contact-applet
Source0:        ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
License:        GPLv2+
Group:          Networking/Instant messaging
BuildRequires:  telepathy-kde-common-internals-devel >= %{version}
Requires:       telepathy-kde-common-internals-core
Requires:       telepathy-kde-contact-list

Obsoletes:      telepathy-kde-contact-applet
Provides:       telepathy-kde-contact-applet = %version-%release
Conflicts:      telepathy-kde-contact-applet < 0.5.80

Obsoletes:      telepathy-kde-presence-applet
Provides:       telepathy-kde-presence-applet = %version-%release
Conflicts:      telepathy-kde-presence-applet < 0.5.80

%description
Telepathy KDE Desktop Plasmoid.

%files -f plasma_applet_ktp_presence.lang
%{_kde_libdir}/kde4/plasma_applet_ktp_contact.so
%{_kde_libdir}/kde4/plasma_applet_ktp_presence.so
%{_kde_appsdir}/plasma/plasmoids/org.kde.ktp-chat
%{_kde_appsdir}/plasma/plasmoids/org.kde.ktp-contactlist
%{_kde_appsdir}/plasma/plasmoids/org.kde.ktp-contact
%{_kde_appsdir}/plasma-desktop/updates/50-renameKTpApplets.js
%{_kde_services}/*.desktop

#------------------------------------------------------------------------------

%prep
%setup -q -n %srcname-%version
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang plasma_applet_ktp_presence



%changelog

* Tue May 14 2013 lmenut <lmenut> 0.6.0-2.mga3
+ Revision: 413111
- add missing Requires telepathy-kde-contact-list (mga #10081)

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407390
- Update tarball to 0.6.0

* Wed Mar 13 2013 lmenut <lmenut> 0.5.80-2.mga3
+ Revision: 402845
- add missing conflicts

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402583
- imported package telepathy-kde-desktop-applets

